module PaginateHelper
  def paginate(objs, **opts)
    page     = params[:page].to_i <= 0 ? 1 : params[:page].to_i
    per_page = params[:per_page].to_i > 0 && params[:per_page].to_i < 50 ? params[:per_page].to_i : opts[:per_page] || 20

    Kaminari.paginate_array(objs).page(page).per(per_page)
  end
end